INSERT INTO parameter_description VALUES ('primerFinder.primer3.numreturn','0..','3','see eprimer3 doc: http://www.hgmp.mrc.ac.uk/Software/EMBOSS/Apps/eprimer3.html');
INSERT INTO parameter_description VALUES ('primerFinder.primer3.otm','0.0..100.0','59.0',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.mintm','0.0..100.0','57.0',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.maxtm','0.0..100.0','61.0',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.maxdifftm','0.0..100.0','2.0',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.mingc','0.0..100.0','20.0',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.maxgc','0.0..100.0','80.0',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.maxpolyx','0..','4',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.selfany','0..','4',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.productosize','1..10000','100',NULL);
INSERT INTO parameter_description VALUES ('primerFinder.primer3.productsizerange',NULL,'90-110',NULL);
INSERT INTO parameter_description VALUES ('primeTime.wantorfs','true,false','true','whether or not orfs are extracted from source entry');
INSERT INTO parameter_description VALUES ('primeTime.wantblast1','true,false','true','if the first blast run (e.g. against all HHV) should be performed');
INSERT INTO parameter_description VALUES ('primeTime.wantblast2','true,false','true','if the second blast run (e.g. against human genome) should be performed');
INSERT INTO parameter_description VALUES ('primeTime.usas',NULL,'','comma separated list of USAs to be analysed');
INSERT INTO parameter_description VALUES ('primeTime.skipToStage','0,10,20','0','skip stages of the prime time process (0: don\'t skip, 10: skip to blast1; 20: skip to blast2');
INSERT INTO parameter_description VALUES ('blast.-p','blastn','blastn',NULL);
INSERT INTO parameter_description VALUES ('blast.-JJ',NULL,'',NULL);
INSERT INTO parameter_description VALUES ('blast.-WW','7..1','7',NULL);
INSERT INTO parameter_description VALUES ('blast.-e','-..+','1000.0',NULL);
INSERT INTO parameter_description VALUES ('blast.-b','-..+','500',NULL);
INSERT INTO parameter_description VALUES ('blast.-FF','T,F','F',NULL);
INSERT INTO parameter_description VALUES ('blast.localblast','true,false','true',NULL);
INSERT INTO parameter_description VALUES ('blast.distanceThreshold','0..+','4000','max distance between primers');
INSERT INTO parameter_description VALUES ('blast.mismatchThreshold','0..20','4','threshold to accept single primer');
INSERT INTO parameter_description VALUES ('blast2.-d',NULL,'/usr/local/blast/databases/human_genomic','database blast 1');
INSERT INTO parameter_description VALUES ('blast1.-d',NULL,'/usr/local/blast/databases/hhv','database blast 2');
INSERT INTO parameter_description VALUES ('primeTime.wantPrimers','true,false','true','whether or not primerFinder should be run');
INSERT INTO parameter_description VALUES ('primeTime.wantOrfRemapping','true,false','true','whether or not hits for orfs should be remapped on original sequence');
INSERT INTO parameter_description VALUES ('primeTime.wantOrfsExtract','true,false','true','whether or not orfs should be extracted');
INSERT INTO parameter_description VALUES ('blast.-a','1..','1','number of processors');
INSERT INTO parameter_description VALUES ('blast.-g','T,F','F','gapped alignment?');
INSERT INTO parameter_description VALUES ('blast.-d','','/usr/local/blast/databases/hhv','');
INSERT INTO parameter_description VALUES ('primeTime.restrictToUsa','-','-','restrict to one of the usas in the list (useful for adding to project)');
INSERT INTO parameter_description VALUES ('blast.numberPerChunk','1..','50','how many sequences are concatenated');

